Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.filter
Class MaskRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.gvt.filter.MaskRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter, Mask

    public class MaskRable8Bit

extends AbstractRable
implements Mask

MaskRable implementation

Field Summary
`protected Rectangle2D` | `filterRegion` Region to which the mask applies
`protected GraphicsNode` | `mask` The node who's outline specifies our mask.

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`MaskRable8Bit(Filter src, GraphicsNode mask, Rectangle2D filterRegion)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`Rectangle2D` | `getBounds2D()` Pass-through: returns the source's bounds
`Rectangle2D` | `getFilterRegion()` The region to which this mask applies
`GraphicsNode` | `getMaskNode()` Returns the Graphics node that the mask operation will use to define the masking image.
`Filter` | `getSource()` This returns the current image being masked by the mask node.
`void` | `setFilterRegion(Rectangle2D filterRegion)` Returns the filter region to which this mask applies
`void` | `setMaskNode(GraphicsNode mask)` Set the masking image to that described by gn.
`void` | `setSource(Filter src)` The source to be masked by the mask node.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### mask

    protected GraphicsNode mask

  The node who's outline specifies our mask.

### filterRegion

    protected Rectangle2D filterRegion

  Region to which the mask applies

Constructor Detail

### MaskRable8Bit

    public MaskRable8Bit(Filter src,
                         GraphicsNode mask,
                         Rectangle2D filterRegion)

Method Detail

### setSource

    public void setSource(Filter src)

  The source to be masked by the mask node.

  Specified by:
    `setSource` in interface `Mask`
  Parameters:
    `src` - The Image to be masked.

### getSource

    public Filter getSource()

  This returns the current image being masked by the mask node.

  Specified by:
    `getSource` in interface `Mask`
  Returns:
    The image to mask

### getFilterRegion

    public Rectangle2D getFilterRegion()

  The region to which this mask applies

  Specified by:
    `getFilterRegion` in interface `Mask`

### setFilterRegion

    public void setFilterRegion(Rectangle2D filterRegion)

  Returns the filter region to which this mask applies

  Specified by:
    `setFilterRegion` in interface `Mask`

### setMaskNode

    public void setMaskNode(GraphicsNode mask)

  Set the masking image to that described by gn. If gn is an rgba image then the alpha is premultiplied and then the rgb is converted to alpha via the standard feColorMatrix rgb to luminance conversion. In the case of an rgb only image, just the rgb to luminance conversion is performed.

  Specified by:
    `setMaskNode` in interface `Mask`
  Parameters:
    `mask` - The graphics node that defines the mask image.

### getMaskNode

    public GraphicsNode getMaskNode()

  Returns the Graphics node that the mask operation will use to define the masking image.

  Specified by:
    `getMaskNode` in interface `Mask`
  Returns:
    The graphics node that defines the mask image.

### getBounds2D

    public Rectangle2D getBounds2D()

  Pass-through: returns the source's bounds

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.